Loading...
Searching...
No Matches
Opm::EclIO::EGrid Class Reference
Inheritance diagram for Opm::EclIO::EGrid:

## Public Types

using | NNCentry = std::tuple<int, int, int, int, int, int, float>
Public Types inherited from Opm::EclIO::EclFile
using | EclEntry = std::tuple<std::string, eclArrType, std::int64_t>

## Public Member Functions

| EGrid (const std::string &filename, const std::string &grid_name="global")
int | global_index (int i, int j, int k) const
int | active_index (int i, int j, int k) const
const std::array< int, 3 > & | dimension () const
std::array< int, 3 > | ijk_from_active_index (int actInd) const
std::array< int, 3 > | ijk_from_global_index (int globInd) const
void | getCellCorners (int globindex, std::array< double, 8 > &X, std::array< double, 8 > &Y, std::array< double, 8 > &Z)
void | getCellCorners (const std::array< int, 3 > &ijk, std::array< double, 8 > &X, std::array< double, 8 > &Y, std::array< double, 8 > &Z)
std::vector< std::array< float, 3 > > | getXYZ_layer (int layer, bool bottom=false)
std::vector< std::array< float, 3 > > | getXYZ_layer (int layer, const std::array< int, 4 > &box, bool bottom=false)
int | activeCells () const
int | totalNumberOfCells () const
void | load_grid_data ()
void | load_nnc_data ()
bool | with_mapaxes () const
void | mapaxes_transform (double &x, double &y) const
bool | is_radial () const
const std::vector< int > & | hostCellsGlobalIndex () const
std::vector< std::array< int, 3 > > | hostCellsIJK ()
std::vector< NNCentry > | get_nnc_ijk ()
const std::vector< std::string > & | list_of_lgrs () const
const std::array< double, 6 > & | get_mapaxes () const
const std::string & | get_mapunits () const
const std::vector< float > & | get_coord () const
const std::vector< float > & | get_zcorn () const
Public Member Functions inherited from Opm::EclIO::EclFile
| EclFile (const std::string &filename, bool preload=false)
| EclFile (const std::string &filename, Formatted fmt, bool preload=false)
bool | formattedInput () const
void | loadData ()
void | loadData (const std::string &arrName)
void | loadData (int arrIndex)
void | loadData (const std::vector< int > &arrIndex)
void | clearData ()
std::vector< EclEntry > | getList () const
const std::vector< int > & | getElementSizeList () const
template<typename T>
const std::vector< T > & | get (int arrIndex)
template<typename T>
const std::vector< T > & | get (const std::string &name)
bool | hasKey (const std::string &name) const
std::size_t | count (const std::string &name) const
const std::vector< std::string > & | arrayNames () const
std::size_t | size () const
bool | is_ix () const
template<>
const std::vector< int > & | get (int arrIndex)
template<>
const std::vector< float > & | get (int arrIndex)
template<>
const std::vector< double > & | get (int arrIndex)
template<>
const std::vector< bool > & | get (int arrIndex)
template<>
const std::vector< int > & | get (const std::string &name)
template<>
const std::vector< float > & | get (const std::string &name)
template<>
const std::vector< double > & | get (const std::string &name)
template<>
const std::vector< bool > & | get (const std::string &name)

## Additional Inherited Members

Protected Member Functions inherited from Opm::EclIO::EclFile
template<class T>
const std::vector< T > & | getImpl (int arrIndex, eclArrType type, const std::unordered_map< int, std::vector< T > > &array, const std::string &typeStr)
std::streampos | seekPosition (const std::vector< std::string >::size_type arrIndex) const
Protected Attributes inherited from Opm::EclIO::EclFile
bool | formatted
std::string | inputFilename
std::unordered_map< int, std::vector< int > > | inte_array
std::unordered_map< int, std::vector< bool > > | logi_array
std::unordered_map< int, std::vector< double > > | doub_array
std::unordered_map< int, std::vector< float > > | real_array
std::unordered_map< int, std::vector< std::string > > | char_array
std::vector< std::string > | array_name
std::vector< eclArrType > | array_type
std::vector< std::int64_t > | array_size
std::vector< int > | array_element_size
std::vector< std::uint64_t > | ifStreamPos
std::map< std::string, int > | array_index

The documentation for this class was generated from the following files:

- opm/io/eclipse/EGrid.hpp
- opm/io/eclipse/EGrid.cpp